/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20210929
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Data Transfer Medium details for the Migration.
 * Only one type of data transfer medium can be specified, except for the case of Amazon RDS Oracle as source,
 * where Object Storage Details along with AwsS3Details are required.
 * If an empty object is specified, the stored Data Transfer Medium details will be removed.
 *
 */
export interface UpdateDataTransferMediumDetails {
    "databaseLinkDetails"?: model.UpdateDatabaseLinkDetails;
    "objectStorageDetails"?: model.UpdateObjectStoreBucket;
    "awsS3Details"?: model.UpdateAwsS3Details;
}
export declare namespace UpdateDataTransferMediumDetails {
    function getJsonObj(obj: UpdateDataTransferMediumDetails): object;
    function getDeserializedJsonObj(obj: UpdateDataTransferMediumDetails): object;
}
